name: allscore_app
description: "A new Flutter project."
publish_to: 'none'
version: 1.0.15+15
environment:
  sdk: '>=3.5.3 <4.0.0'
  flutter: ">=3.16.0"

# ───────────────────────────────────
# 의존성
# ───────────────────────────────────
dependencies:
  flutter:
    sdk: flutter

  google_mobile_ads: ^5.2.0
  http: ^1.2.2
  crypto: ^3.0.1
  shared_preferences: ^2.0.6
  image_picker: ^0.8.4+4
  firebase_core: ^2.24.2
  firebase_auth: ^4.15.3
  firebase_database: ^10.2.3
  google_sign_in: ^6.1.6
  sign_in_with_apple: ^5.0.0
  cupertino_icons: ^1.0.8
  fluttertoast: ^8.0.9
  flutter_launcher_icons: ^0.12.0
  flutter_native_splash: ^2.2.15
  auto_size_text: ^3.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0
  flutter_launcher_icons: ^0.12.0
  flutter_native_splash: ^2.2.15

# ───────────────────────────────────
# 플러터 섹션
# ───────────────────────────────────
flutter:
  uses-material-design: true

  # 여기에 에셋 등록
  assets:
    - assets/images/icons8-google-logo-36.png
    - assets/images/icons8-google-logo-48.png
    - assets/images/icons8-google-logo-48-2.png
    - assets/images/icons8-google-logo-72.png
    - assets/images/icons8-google-logo-96.png
    - assets/images/icons8-google-logo-144.png
    - assets/images/icons8-google-logo-192.png

flutter_icons:
  android: true
  ios: true

  image_path: "assets/icons/allscore_icon.png"

flutter_native_splash:
  color: "#ffffff"
  image: assets/icons/allscore_icon.png
  android: true
  ios: true
